Bug 64778 - Segmentation appears in /proc/scsi/gdth/0 for ICP Vortex Raid Card
Summary: Segmentation appears in /proc/scsi/gdth/0 for ICP Vortex Raid Card
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-10 20:17 UTC by Barry Trout
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-29 19:15:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pic of Shutdown - Segfault message - exactly like /proc/scsi/gdth/0 (383.00 KB, image/jpeg)
2002-05-13 17:52 UTC, Barry Trout
no flags Details

Description Barry Trout 2002-05-10 20:17:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
Segmentation appears in /proc/scsi/gdth/0 for ICP Vortex Raid Card

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install 7.3 with ICP raid card
2.
3.
	

Additional info:

Comment 1 Bill Nottingham 2002-05-10 20:19:36 UTC
I'm not sure exactly what you mean - you get a segfault when you do:

cat /proc/scsi/gdth/0

?

Or is it something else?

Comment 2 Barry Trout 2002-05-10 20:33:41 UTC
Segmentation fault appears after executing 'cat /proc/scsi/gdth/0'

Comment 3 Barry Trout 2002-05-13 17:52:36 UTC
Created attachment 57124 [details]
Pic of Shutdown - Segfault message - exactly like /proc/scsi/gdth/0

Comment 4 Doug Ledford 2002-05-16 21:04:56 UTC
There appears to be a buffer overflow problem in the gdth_proc.c file.  If you
boot the machine up, don't ever cat /proc/scsi/gdth/*, then shut the machine
down, does it actually shutdown and cleanly?

Comment 5 Barry Trout 2002-05-17 13:40:34 UTC
No ... FYI .. Mandrake 8.2 works ... did they update the driver?  I know Vortex
has not!

Comment 6 Barry Trout 2002-08-01 16:07:58 UTC
Any word yet?

Comment 7 Barry Trout 2002-10-24 14:55:35 UTC
Some thing in version 8.0

Has anyone looked at this?

v 7.2 is ok ... it breaks starting with 7.3

Comment 8 Doug Ledford 2002-10-30 21:53:30 UTC
This has been fixed.  The next 8.0 errata kernel will not have this problem. 
The next 2.1AS kernel also will not have this problem.


Note You need to log in before you can comment on or make changes to this bug.